/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このクラスはblancoValueObjectにより自動生成されました。
 */
package blanco.encryption.task.valueobject;

/**
 * バッチ処理クラス [BlancoEncryptionDesedeBatchProcess]の入力バリューオブジェクトクラスです。 BlancoResourceBundleのAntTaskです。
 */
public class BlancoEncryptionDesedeBatchProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [java.lang.String]<br>
     * verboseモードで動作させるかどうか。
     */
    private String fVerbose;

    /**
     * フィールド [inputDir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ディレクトリ名を指定します。
     */
    private String fInputDir;

    /**
     * フィールド [outputDir]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ディレクトリ名を指定します。
     */
    private String fOutputDir;

    /**
     * フィールド [password]
     *
     * 項目の型 [java.lang.String]<br>
     * パスワードを指定します。
     */
    private String fPassword;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final String argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public String getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [inputDir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ディレクトリ名を指定します。
     *
     * @param argInputDir フィールド[inputDir]に格納したい値
     */
    public void setInputDir(final String argInputDir) {
        fInputDir = argInputDir;
    }

    /**
     * フィールド[inputDir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ディレクトリ名を指定します。
     *
     * @return フィールド[inputDir]に格納されている値
     */
    public String getInputDir() {
        return fInputDir;
    }

    /**
     * フィールド [outputDir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ディレクトリ名を指定します。
     *
     * @param argOutputDir フィールド[outputDir]に格納したい値
     */
    public void setOutputDir(final String argOutputDir) {
        fOutputDir = argOutputDir;
    }

    /**
     * フィールド[outputDir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ディレクトリ名を指定します。
     *
     * @return フィールド[outputDir]に格納されている値
     */
    public String getOutputDir() {
        return fOutputDir;
    }

    /**
     * フィールド [password]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パスワードを指定します。
     *
     * @param argPassword フィールド[password]に格納したい値
     */
    public void setPassword(final String argPassword) {
        fPassword = argPassword;
    }

    /**
     * フィールド[password]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パスワードを指定します。
     *
     * @return フィールド[password]に格納されている値
     */
    public String getPassword() {
        return fPassword;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.encryption.task.valueobject.BlancoEncryptionDesedeBatchProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",inputDir=" + fInputDir);
        buf.append(",outputDir=" + fOutputDir);
        buf.append(",password=" + fPassword);
        buf.append("]");
        return buf.toString();
    }
}
